Name:          perl-Encode-Detect
Version:       1.01
Release:       29
Summary:       An Encode::Encoding subclass that detects the encoding of data
License:       MPLv1.1 or GPLv2+ or LGPLv2+
URL:           https://metacpan.org/release/Encode-Detect
Source0:       https://cpan.metacpan.org/authors/id/J/JG/JGMYERS/Encode-Detect-%{version}.tar.gz
BuildRequires: perl-devel perl-generators perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) perl(Test::More)
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) perl(Encode::Encoding)

%description
This Perl module is an Encode::Encoding subclass that uses Encode::Detect::Detector to determine
the charset of the input data and then decodes it using the encoder of the detected charset.
It does not require the configuration of a set of expected encodings.

%package       help
Summary:       Help for perl-Encode-Detect
BuildArch:     noarch

%description   help
This package contains man manual for perl-Encode-Detect.

%prep
%autosetup  -n Encode-Detect-%{version} -p1

%build
%{__perl} Build.PL installdirs=vendor optimize="${RPM_OPT_FLAGS}"
./Build

%check
./Build test

%install
./Build install destdir="${RPM_BUILD_ROOT}" create_packlist=0
find "${RPM_BUILD_ROOT}" -type f -name "*.bs" -size 0 -exec rm -f {} \;
find "${RPM_BUILD_ROOT}" -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} "${RPM_BUILD_ROOT}"/*

%files
%doc Changes LICENSE
%{perl_vendorarch}/auto/Encode
%{perl_vendorarch}/Encode

%files help
%{_mandir}/man3/*

%changelog
* Fri Dec 20 2019 Tianfei <tianfei16@huawei.com> - 1.01-29
- Package init

